Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.event
Interface MenuDragMouseListener

All Superinterfaces:
  EventListener

    public interface MenuDragMouseListener

extends EventListener

Defines a menu mouse-drag listener.

Method Summary
`void` | `menuDragMouseDragged(MenuDragMouseEvent e)` Invoked when the mouse is being dragged in a menu component's display area.
`void` | `menuDragMouseEntered(MenuDragMouseEvent e)` Invoked when the dragged mouse has entered a menu component's display area.
`void` | `menuDragMouseExited(MenuDragMouseEvent e)` Invoked when the dragged mouse has left a menu component's display area.
`void` | `menuDragMouseReleased(MenuDragMouseEvent e)` Invoked when a dragged mouse is release in a menu component's display area.

Method Detail

### menuDragMouseEntered

    void menuDragMouseEntered(MenuDragMouseEvent e)

  Invoked when the dragged mouse has entered a menu component's display area.

  Parameters:
    `e` - a MenuDragMouseEvent object

### menuDragMouseExited

    void menuDragMouseExited(MenuDragMouseEvent e)

  Invoked when the dragged mouse has left a menu component's display area.

  Parameters:
    `e` - a MenuDragMouseEvent object

### menuDragMouseDragged

    void menuDragMouseDragged(MenuDragMouseEvent e)

  Invoked when the mouse is being dragged in a menu component's display area.

  Parameters:
    `e` - a MenuDragMouseEvent object

### menuDragMouseReleased

    void menuDragMouseReleased(MenuDragMouseEvent e)

  Invoked when a dragged mouse is release in a menu component's display area.

  Parameters:
    `e` - a MenuDragMouseEvent object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.